require 'helper'

class DottedMethodDispatcherTest < Test::Unit::TestCase


  def setup
    responder = RedPack::NullResponder.new
    kvs = {
      'num' => 42,
      'str' => 'foobar',
    }
    @dispatcher = RedPack::DottedInstanceDispatcher.new(kvs, responder)
  end


  def test_calls
    @dispatcher.dispatch(nil, 'num.abs', [])
    assert(true)
    @dispatcher.dispatch(nil, 'num.**', [3])
    assert(true)
    @dispatcher.dispatch(nil, 'str.upcase', [])    
    assert(true)
  end

end
