require 'helper'

class TestSimpleInstanceDispatcher < Test::Unit::TestCase


  def setup
    responder = RedPack::NullResponder.new
    @dispatcher = RedPack::SimpleInstanceDispatcher.new(42, responder)
  end


  def test_calls
    begin
      @dispatcher.dispatch(nil, 'between?', [30, 50])
      assert(true)

      @dispatcher.dispatch(nil, 'succ')
      assert(true)

      @dispatcher.dispatch(nil, '+', [1])
      assert(true)

      @dispatcher.dispatch(nil, :mul, [1, 1])
      assert(false, "never-reach")
    rescue
      assert(true)
    end
  end


end
